Subject: Re: Problem with MMU again

From: Dan Malek <[email-masked]>
Date: Fri, 26 Mar 2004 11:45:40 -0500

Mikko Alutoin wrote:

> I am confused. How come the boot code now fails to get the MMU working,

You are chasing ghosts.  There is nothing wrong with the MMU initialization.
There are just times during the initialization that the system and the BDI2000
are not exactly in sync.  This is one of them.

Let the code run, do some post-mortem debugging (like dumping out the
console log buffer for starters).  Work backward from the failure instead
of trying to step into it (pun intended) :-)

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/